<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

$sortId = 7;
$toolId = \ToolsAPI::TOOL_KURSPLANUNG_MA;

$settingsArray = array();

$setting = new Setting();
$setting->name = 'kurse_hl_aussenstelle';
$setting->description = 'den Hinterlegungsbutton anzeigen';
$setting->subGroup = 'Für das Feld Außenstelle';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'kurse_hl_raum';
$setting->description = 'den Hinterlegungsbutton für Kursort anzeigen';
$setting->subGroup = 'Für das Feld Kursort';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'kurse_kursort_feld_readonly';
$setting->description = 'Das Feld Kursort als nicht frei bearbeitbar anzeigen';
$setting->subGroup = 'Für das Feld Kursort';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'kurse_kursort_einschraenkung_aussenstelle';
$setting->description = 'Die auswählbaren Kursorte auf die ausgewählte Außenstelle begrenzen';
$setting->subGroup = 'Für das Feld Kursort';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'kurse_hl_dauer';
$setting->description = 'den Hinterlegungsbutton für Dauer anzeigen';
$setting->subGroup = 'Für das Feld Dauer';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'kurse_hl_beginn';
$setting->description = 'den Hinterlegungsbutton für die Uhrzeit anzeigen';
$setting->subGroup = 'Für das Feld Beginn-Uhrzeit';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'kurse_hl_ende';
$setting->description = 'den Hinterlegungsbutton für die Uhrzeit anzeigen';
$setting->subGroup = 'Für das Feld Ende-Uhrzeit bis';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);



$setting = new Setting();
$setting->description = '';
$setting->help = 'Wenn eine E-Mail an den verwaltenden bzw. planenden Mitarbeiter versendet werden soll und dies ist nicht möglich, dann wird die E-Mail an die Schuleinrichtung versendet.';
$setting->subGroup = 'E-Mail-Benachrichtigungen nach Änderung von Kursdaten versenden';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_INFOTEXT);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'kursplanungDatenAenderungMailAnVerwMa';
$setting->description = 'Benachrichtigung an den verwaltenden Mitarbeiter des Kurses versenden';
$setting->help = '';
$setting->subGroup = 'E-Mail-Benachrichtigungen nach Änderung von Kursdaten versenden';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'kursplanungDatenAenderungMailAnPlanMa';
$setting->description = 'Benachrichtigung an den planenden Mitarbeiter des Kurses versenden';
$setting->help = '';
$setting->subGroup = 'E-Mail-Benachrichtigungen nach Änderung von Kursdaten versenden';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'kursplanungDatenAenderungMailAnEinrichtung';
$setting->description = 'Benachrichtigung an die Schulungseinrichtung versenden';
$setting->subGroup = 'E-Mail-Benachrichtigungen nach Änderung von Kursdaten versenden';
$setting->help = '';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);